Class | ApplicationController
In: | app/controllers/application.rb
Parent: | ActionController::Base

### Methods

locales render

### Included Modules

AuthenticatedSystem ExceptionNotifiable GeoKit::Geocoders

### Public Instance methods

locales()

See ActionController::Base for details Uncomment this to filter the contents of submitted sensitive data parameters from your application log (in this case, all fields with names like "password"). filter_parameter_logging :password

[Source]

        # File app/controllers/application.rb, line 27
    27:   def locales
    28:     AvailableLocales::AVAILABLE_LANGUAGES
    29:   end

### Protected Instance methods

render(options = nil, extra_options = {}, &block)

[Source]

         # File app/controllers/application.rb, line 220
    220:     def render(options = nil, extra_options = {}, &block)
    221:       # we want to build the breadcrums just before rendering
    222:       make_breadcrumbs
    223:
    224:       # call the ActionController::Base render to show the page
    225:       super
    226:     end

[Validate]